; ------------------------- Start of demo -----------------------------------
; A small demonstational assembly program
#define nr_of_loops=$10       ; define nr_of_loops to constant 16 (10hex)
        R0 = 0                ; set register R0 to zero
        R1 = nr_of_loops      ; set register R1 to nr_of_loops (16)
loop:   R2 = popfifo(7)       ; read 8 bits from fifo register into R2
        R0 = R0 + R2          ; accumulate R2 in R0
        R1--                  ; decrease loop counter
        jumpnz loop           ; as long R1 has not reached zero, repeat loop
; -------------------------- End of demo ------------------------------------
